| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IRndmGenSvc Class Reference

`#include <GaudiKernel/IRndmGenSvc.h>`

Inheritance diagram for IRndmGenSvc:

[legend]
Collaboration diagram for IRndmGenSvc:

[legend]
List of all members.

## Detailed Description

Random Generator service interface definition Definition of a interface for a service to access random generators according to predefined distributions:.

The Random Generator creates proper instances of requested random generators and delivers them to the user.

On request the service dumps the type and state of the random number engine to a StreamBuffer object allowing to save and to restore the exact state of the random number generator.

Author:
  M.Frank

Version:
  1.0

Definition at line 39 of file IRndmGenSvc.h.

## Public Member Functions
virtual IRndmEngine * | engine ()=0
| Retrieve engine.
virtual StatusCode | generator (const IRndmGen::Param &par, IRndmGen *&refpGen)=0
| Add a Generator factory.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IRndmGenSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IService.

Definition at line 42 of file IRndmGenSvc.h.

References IID_IRndmGenSvc.

    00042 { return IID_IRndmGenSvc; }

virtual IRndmEngine* IRndmGenSvc::engine | ( |  | ) | `[pure virtual]`

Retrieve engine.

Returns:
  pointer to random number engine

Implemented in RndmGenSvc.

virtual StatusCode IRndmGenSvc::generator | ( | const IRndmGen::Param & | par,
|  | IRndmGen *& | refpGen |
| ) |  |  | `[pure virtual]`

Add a Generator factory.

Parameters:

  | fac | Pointer to factory to be added

Returns:
  StatusCode indicating success or failure.

Implemented in RndmGenSvc.

Referenced by Rndm::Numbers::initialize().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IRndmGenSvc.h